/* function a() {
$.dialog({ title: 'New Title' });
}
function page() { // 不适合加载ajax页面
$.dialog({
title: '打开新窗口',
content: 'url:default3.aspx'
});
}
*/
function CheckAll(form) {
    for (var i = 0; i < form.elements.length; i++) {
        var e = form.elements[i];
        if (e.name != 'chkAll' && e.disabled == false && e.type == 'checkbox') {
            e.checked = form.chkAll.checked;
        }
    }
}

function Loadbumenadd(id) {
    var api = $.dialog({ id: 'a123' });
    $.ajax({
        url: 'bumenadd.aspx?edit=' + id, // 此次的id仅为测试，可用于日后修改时取值之用，目前暂无用处
        cache: false,
        success: function(date) {
            api.content(date);
        }
    });
}
function scjs(id) {
    var api = $.dialog({ id: 'newtitle' });
    $.ajax({
        url: "/Company_Lookzl_sendapp.aspx?id=" + id + "&type=favorite",
        cache: false,
        success: function (date) {
            api.content(date);
        }
    });
}
function sendyx(id) {
    var api = $.dialog({ id: 'newtitle2' });
    $.ajax({
        url: "/Company_Lookzl_sendapp.aspx?id=" + id + "&type=send",
        cache: false,
        success: function (date) {
            api.content(date);
        }
    });
}

$$ = function(id) { return document.getElementById(id) } // 定义$$，可以当作document.getElementById来使用
function addbumen() {
    //var api = $.dialog({ id: 'a1234' }); // 如果定义了这段，那么必须在后面用到api.content(...)，即在当前窗口显示结果，否则不要定义这段代码
    $.ajax({
        url: 'bumenadd.aspx?add=add&n=' + escape($$("Text1").value),
        cache: false,
        success: function(date) {
            //api.content(date);
            if (date.indexOf('添加成功') >= 0) {
                $.dialog({
                    icon: 'success.gif',
                    content: date
                });
            } else {
                $.dialog({
                    icon: 'error.gif',
                    content: date
                });
            }
            setTimeout(function() { window.location.href = 'bumen.aspx' }, 2000); // 自动跳转
        }
    });
}